import React, { useMemo } from 'react';
import AutoTable from '@/components/AutoTable/mtable';
const Resume = ({ setdrawer, drawer, url }) => {
    const columns = [
        {
            title: '设备编号',
            dataIndex: 'equipmentNo',
            key: 'equipmentNo',
        },
        {
            title: '设备名称',
            dataIndex: 'equipmentName',
            key: 'equipmentName',
        },
        {
            title: '绑定时间',
            dataIndex: 'bindingTime',
            key: 'bindingTimeList',
            valueType: 'dateRange',
        },
        {
            title: '解绑时间',
            dataIndex: 'unBindingTime',
            key: 'unBindingTimeList',
            valueType: 'dateRange',
        },
    ];
    return (
        <AutoTable
            columns={columns}
            path={url}
            resizeable={false}
            pageextra="none"
            bordered={false}
            extraparams={{ leaseLedgerId: drawer?.item?.id }}
        />
    );
};
export default Resume;
